import { Duration } from '@salesforce/kit';
import { Interfaces } from '@oclif/core';
import { DeployCommand } from '../../../deployCommand.js';
import { DeployCommandAsyncResult } from '../../../formatters/source/deployAsyncResultFormatter.js';
import { MdDeployResult } from '../../../formatters/mdapi/mdDeployResultFormatter.js';
export type DeployResult = MdDeployResult | DeployCommandAsyncResult;
export declare class Deploy extends DeployCommand {
    static readonly state = "deprecated";
    static readonly deprecationOptions: {
        to: string;
        message: string;
    };
    static readonly hidden = true;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly flags: {
        'api-version': Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        loglevel: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'target-org': Interfaces.OptionFlag<string, Interfaces.CustomOptions>;
        checkonly: Interfaces.BooleanFlag<boolean>;
        deploydir: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        wait: Interfaces.OptionFlag<Duration, Interfaces.CustomOptions>;
        testlevel: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        runtests: Interfaces.OptionFlag<string[] | undefined, Interfaces.CustomOptions>;
        ignoreerrors: Interfaces.BooleanFlag<boolean>;
        ignorewarnings: Interfaces.BooleanFlag<boolean>;
        validateddeployrequestid: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        verbose: Interfaces.BooleanFlag<boolean>;
        zipfile: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        singlepackage: Interfaces.BooleanFlag<boolean>;
        soapdeploy: Interfaces.BooleanFlag<boolean>;
        purgeondelete: Interfaces.BooleanFlag<boolean>;
        concise: Interfaces.BooleanFlag<boolean>;
        resultsdir: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        coverageformatters: Interfaces.OptionFlag<string[] | undefined, Interfaces.CustomOptions>;
        junit: Interfaces.BooleanFlag<boolean>;
    };
    private flags;
    private org;
    run(): Promise<DeployResult>;
    protected deploy(): Promise<void>;
    protected formatResult(): MdDeployResult | DeployCommandAsyncResult;
}
