import { Org } from '@salesforce/core';
import { Duration } from '@salesforce/kit';
import { Interfaces } from '@oclif/core';
import { MdDeployResult } from '../../../../formatters/mdapi/mdDeployResultFormatter.js';
import { DeployCommand } from '../../../../deployCommand.js';
export declare class Report extends DeployCommand {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly state = "deprecated";
    static readonly hidden = true;
    static readonly deprecationOptions: {
        to: string;
        message: string;
    };
    static readonly flags: {
        'api-version': Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        loglevel: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'target-org': Interfaces.OptionFlag<Org, Interfaces.CustomOptions>;
        wait: Interfaces.OptionFlag<Duration, Interfaces.CustomOptions>;
        jobid: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        verbose: Interfaces.BooleanFlag<boolean>;
        concise: Interfaces.BooleanFlag<boolean>;
        resultsdir: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        coverageformatters: Interfaces.OptionFlag<string[] | undefined, Interfaces.CustomOptions>;
        junit: Interfaces.BooleanFlag<boolean>;
    };
    private flags;
    private org;
    run(): Promise<MdDeployResult>;
    protected doReport(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): MdDeployResult;
}
