import { Duration } from '@salesforce/kit';
import { Interfaces } from '@oclif/core';
import { DeployCommand } from '../../../../deployCommand.js';
import { DeployCancelCommandResult } from '../../../../formatters/deployCancelResultFormatter.js';
export declare class Cancel extends DeployCommand {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly state = "deprecated";
    static readonly hidden = true;
    static readonly deprecationOptions: {
        to: string;
        message: string;
    };
    static readonly flags: {
        'api-version': Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        loglevel: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'target-org': Interfaces.OptionFlag<import("@salesforce/core").Org, Interfaces.CustomOptions>;
        wait: Interfaces.OptionFlag<Duration, Interfaces.CustomOptions>;
        jobid: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
    };
    private flags;
    run(): Promise<DeployCancelCommandResult>;
    protected cancel(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): DeployCancelCommandResult;
}
