import { Duration } from '@salesforce/kit';
import { Interfaces } from '@oclif/core';
import { DeployCommand } from '../../../deployCommand.js';
import { PushResponse } from '../../../formatters/source/pushResultFormatter.js';
export default class Push extends DeployCommand {
    static readonly state = "deprecated";
    static readonly hidden = true;
    static readonly deprecationOptions: {
        to: string;
        message: string;
    };
    static description: string;
    static summary: string;
    static examples: string[];
    static requiresProject: boolean;
    static readonly flags: {
        'api-version': Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        loglevel: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'target-org': Interfaces.OptionFlag<import("@salesforce/core").Org, Interfaces.CustomOptions>;
        forceoverwrite: Interfaces.BooleanFlag<boolean>;
        wait: Interfaces.OptionFlag<Duration, Interfaces.CustomOptions>;
        ignorewarnings: Interfaces.BooleanFlag<boolean>;
        quiet: Interfaces.BooleanFlag<boolean>;
    };
    protected readonly lifecycleEventNames: string[];
    private deployResults;
    private tracking;
    private deletes;
    private flags;
    run(): Promise<PushResponse>;
    protected prechecks(): Promise<void>;
    protected deploy(): Promise<void>;
    protected updateTracking(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): PushResponse;
}
