import { RetrieveResult, MetadataApiRetrieveStatus, RequestStatus } from '@salesforce/source-deploy-retrieve';
import { Ux } from '@salesforce/sf-plugins-core';
import { RetrieveFormatter } from '../retrieveFormatter.js';
import { ResultFormatterOptions } from '../resultFormatter.js';
export type RetrieveCommandResult = Omit<MetadataApiRetrieveStatus, 'zipFile'> & {
    zipFilePath: string;
};
export type RetrieveResultFormatterOptions = {
    retrieveTargetDir: string;
    zipFileName?: string;
    unzip?: boolean;
} & ResultFormatterOptions;
export type RetrieveCommandAsyncResult = {
    done: boolean;
    id: string;
    state: RequestStatus | 'Queued';
    status: RequestStatus | 'Queued';
    timedOut: boolean;
};
export declare class RetrieveResultFormatter extends RetrieveFormatter {
    options: RetrieveResultFormatterOptions;
    protected zipFilePath: string;
    constructor(ux: Ux, options: RetrieveResultFormatterOptions, result: RetrieveResult);
    /**
     * Get the JSON output from the RetrieveResult.
     *
     * @returns RetrieveCommandResult
     */
    getJson(): RetrieveCommandResult;
    /**
     * Displays retrieve results in human format.
     */
    display(): void;
    private displaySuccesses;
}
